
"""Tests for gentoo-related handlers will eventually go here."""


from zope.interface import verify

from twisted.trial import unittest

from mzbot import gentoohandlers, ibot


# XXX TODO write actual tests...


class InviteHandlerTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.InviteHandler()
        verify.verifyObject(ibot.IUserJoinedHandler, handler)


class SpamHandlerTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.SpamHandler(channel='default',
                                             spam=u'message')
        verify.verifyObject(ibot.IMessageHandler, handler)


class TorHandlerTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.TorHandler()
        verify.verifyObject(ibot.IUserJoinedHandler, handler)


class JeevesWannabeTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.JeevesWannabeHandler('/invalid')
        # XXX stupid, remove this once we have an actual test
        verify.verifyObject(ibot.ICommandHandler, handler)


class RegExpBanTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.RegExpBan()
        verify.verifyObject(ibot.IMessageHandler, handler)
        verify.verifyObject(ibot.IUserPartedHandler, handler)


class BanListTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.BanListHandler()
        verify.verifyObject(ibot.IJoinHandler, handler)


class DocScraperTest(unittest.TestCase):

    def test_interfaces(self):
        handler = gentoohandlers.DocScraperHandler()
        # XXX stupid, remove this once we have an actual test
        verify.verifyObject(ibot.IConfigurable, handler)
