
# XXX TODO actually write these tests


from zope.interface import verify

from twisted.trial import unittest
from twisted.internet import defer

from mzbot import games, ibot


class NoOpReactor(object):

    def resolve(self, host):
        return defer.Deferred()

noopreactor = NoOpReactor()


class EnemyTerritoryTest(unittest.TestCase):

    def test_interfaces(self):
        handler = games.EnemyTerritoryHandler('localhost',
                                              _reactor=noopreactor)
        verify.verifyObject(ibot.ICommandHandler, handler)


class UnrealTournamentTest(unittest.TestCase):

    def test_interfaces(self):
        handler = games.UnrealTournamentHandler('localhost',
                                                _reactor=noopreactor)
        verify.verifyObject(ibot.ICommandHandler, handler)
