# do not check docstrings and __init__
# pylint: disable-msg=C0111, W0232

"""Tests for plugins.py."""


from twisted.trial import unittest

from mzbot import plugin

# For side effects: make sure this is importable
from mzbot.plugins import core_conf
core_conf # shut up pyflakes


class HelperTest(unittest.TestCase):

    def testListPlugins(self):
        # not much of a test but better than nothing
        list(plugin.listConfigPlugins())

    def testGetConfigPluginByName(self):
        self.assertIdentical(None, plugin.getConfigPluginByName('spork'))

    def testBot(self):
        botplugin = plugin.getConfigPluginByName('bot')
        botplugin.buildHandler()
